Page MenuHomePhabricator

Change credential improvements / regressions with AuthManager
Closed, ResolvedPublic

Description

The change password form should look like this:

However with AuthManager it looks like this:

things to fix:

  • No logo should show up on the change password screen

[] No old password field to confirm you are still the same user

  • Label of "Change" password button should be "Change credentials"

Note there is an issue with the current form and your form that would be great to fix in process if you can:

  • Should be a margin between change password button and retype new password

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 19 2016, 9:49 PM
Anomie added a subscriber: Anomie.May 19 2016, 10:29 PM

No old password field to confirm you are still the same user

AuthManager does it differently, because it's not that simple anymore. See the explanation at https://www.mediawiki.org/wiki/Manual:SessionManager_and_AuthManager/Updating_tips#User_class_password-checking_methods.

Label of change password button but should be "Change password"

Not likely, considering the page may be used for changing things other than passwords. That's why it's named "Change credentials" instead of "Change password".

Change credentials instead of Change password would be fine. The label change however is a little ambiguous. You may want to design Design input on that.

Thanks for elaborating on the change password field. I'll remove that.

Jdlrobson updated the task description. (Show Details)May 19 2016, 10:55 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Design.
Tgr added a subscriber: Tgr.May 24 2016, 4:11 PM

The lack of the old password field is intentional, AuthManager uses a different security model (see T136101).

Tgr added a comment.May 24 2016, 4:12 PM

(Oops. Shouldn't comment on a task that I haven't refreshed in a week.)

Jdlrobson assigned this task to Tgr.May 24 2016, 5:09 PM
Jdlrobson triaged this task as High priority.
Jdlrobson added a project: Readers-Web-Backlog.

Change 290782 had a related patch set uploaded (by Gergő Tisza):
Fix various AuthManager style regressions

https://gerrit.wikimedia.org/r/290782

Change 290782 merged by jenkins-bot:
Fix various AuthManager style regressions

https://gerrit.wikimedia.org/r/290782

Change 290937 had a related patch set uploaded (by Gergő Tisza):
Change button text for *Credentials special pages

https://gerrit.wikimedia.org/r/290937

Change 290941 had a related patch set uploaded (by Gergő Tisza):
Use HTMLForm style sheets on mobile

https://gerrit.wikimedia.org/r/290941

Change 290937 merged by jenkins-bot:
Change button text for *Credentials special pages

https://gerrit.wikimedia.org/r/290937

Change 290941 merged by jenkins-bot:
Use HTMLForm style sheets on mobile

https://gerrit.wikimedia.org/r/290941

Tgr closed this task as Resolved.May 27 2016, 3:43 PM